Subject: bug#37802: 27.0.50; Feature request: hook for theme enabling/disabling

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 May 2022 16:07:00 +0300

> Resent-From: Lars Ingebrigtsen <[email-masked]>
> Original-Sender: "Debbugs-submit" <[email-masked]>
> Resent-CC: [email-masked]
> Resent-Sender: [email-masked]
> Cc: [email-masked]
> From: Lars Ingebrigtsen <[email-masked]>
> Date: Sat, 21 May 2022 14:56:34 +0200
> 
> Óscar Fuentes <[email-masked]> writes:
> 
> > Currently I've solved my requirement by using defadvice on enable-theme
> > *and* disable-theme for adapting my custom faces to changes on the
> > active theme(s). Using a hook would be a little bit cleaner. I'm also
> > surprised that no hook was implemented for this case, as most changes on
> > user-visible state has an associated hook.
> 
> Yes, true.  So I've now added these two hooks to Emacs 29.

Thanks, but is there any reason these hooks aren't called
enable-theme-function and disable-theme-function?  Hooks by such
names are already documented as "abnormal hooks", which would avoid
the need of saying these new hooks are "atypical", something that we
never had in our terminology.